Get safety scores and overall risk factors for drivers.
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Read Safety Events & Scores under the Safety & Cameras category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/safety-scores/drivers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"behaviors": [
{
"behaviorType": "acceleration",
"count": 5,
"scoreImpact": -18.91020325321117
}
],
"driveDistanceMeters": 2207296,
"driveTimeMilliseconds": 136997730,
"driverId": "1234",
"driverScore": 92,
"speeding": [
{
"durationMilliseconds": 178773,
"scoreImpact": -0.13049340306587562,
"speedingType": "light"
}
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
End time in RFC 3339 format. Millisecond precision and timezones are supported. Includes trips that end before this timestamp.
Start time in RFC 3339 format. Millisecond precision and timezones are supported. Includes trips that end after this timestamp. Can be up to 1 year before endTime.
Comma separated list of driver IDs to filter by. Include up to 100 IDs. Defaults to all drivers.
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
curl --request GET \
--url https://api.samsara.com/safety-scores/drivers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"behaviors": [
{
"behaviorType": "acceleration",
"count": 5,
"scoreImpact": -18.91020325321117
}
],
"driveDistanceMeters": 2207296,
"driveTimeMilliseconds": 136997730,
"driverId": "1234",
"driverScore": 92,
"speeding": [
{
"durationMilliseconds": 178773,
"scoreImpact": -0.13049340306587562,
"speedingType": "light"
}
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}